/* Reset styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Global styles */
body {
  margin: 0;
  background: linear-gradient(to left bottom, lightblue, hotpink, lightblue);
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: monospace;
}

@media screen and (max-width: 480px) {
  nav ul {
    position: fixed;
    top: 60px;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: 1;
    transform: translateX(-100%);
    transition: transform 0.3s ease-in;
  }

  nav ul {
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    height: 100%;
    position: fixed;
    top: 60px;
    left: 0;
    background-color: white;
    width: 100%;
    transform: translateX(-100%);
    transition: transform 0.3s ease-in;
    z-index: 1;
  }

  nav ul.show {
    transform: translateX(0);
  }

  nav li {
    margin: 10px 0;
  }
}

.menu-btn {
  display: none; /* hide the menu button on larger screens */
}

@media screen and (max-width: 600px) {
  .menu-btn {
    display: block;
    position: fixed;
    top: 10px;
    right: 10px;
    background-color: transparent;
    border: none;
    cursor: pointer;
  }
}

.h1 {
  margin-left: 30px;
}

nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: rgb(250, 161, 235);
  z-index: 999;
  padding: 10px;
  margin: 0;
  padding-bottom: 20px;
}

nav ul {
  display: flex;
  align-items: center;
  padding: 0 20px;
  margin: 0;
  margin-top: 10px;
}

nav li {
  list-style: none;
}

nav a {
  text-decoration: none;
  color: #333;
  font-weight: bold;
  padding: 10px;
  transition: all 0.3s ease;
}

nav a:hover {
  color: #fff;
  background-color: #333;
}

#navbar {
  /* Your existing styles for the navigation bar */
  transition: transform 0.3s ease;
}

#navbar.scroll-up {
  transform: translateY(-100%);
}

.form-container {
  background-color: rgba(255, 105, 180, 0.3);
  padding: 20px;
  padding-top: 50px;
  margin-top: 60px;

  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.3);
  border-radius: 15px;
  width: 35%;
  text-align: center;
  color: darkcyan;
}

.form-container label {
  display: block;
  margin: 10px 0;
}

.form-container input,
.form-container select,
.form-container textarea {
  padding: 5px;
  width: 100%;
  border-radius: 5px;
  border: none;
  margin-bottom: 10px;
}

.form-container input[type="submit"] {
  background-color: darkcyan;
  color: white;
  padding: 10px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
}
